<?php ?>
<?php
ExpertInvoicePlugin::$app->registerCssFile('bootstrap-grin-min', ExpertInvoicePlugin::$app->getPluginUrl() . '/css/vendors/bootstrap-grid.min.css');
?>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<div class="wrap" id="inner-content">
    <div class="notice notice-info is-dismissible inline">
        <p>
            Get more out of Expert Invoice by using the following addons to enrich your invoice system..<br/>
        <ul>
            <li>
                <b>Report Module</b> - Generate insightful reports.
            </li>
            <li>
                <b>PayPal Module</b> - Let your customers pay for invoices and quotes online using PayPal.
            </li>
        </ul>
        <a href="https://expertinvoice.envoqon.com">
            Buy Addons
        </a>
        </p>
    </div>
    <div data-role="buttonGroup" data-group-type="multi-state" id="period-selector" class="bt-group">
        <button class="button button-primary" data-period="1">Today</button>
        <button class="button" data-period="2">This Week</button>
        <button class="button" data-period="3">This Month</button>
    </div>
    <div class="admin-pref">
        <div id="tab-control" class="tabcontrol2" data-open-target="#_target_1">
            <ul class="tabs">
                <li data-id="sales"><a href="#_target_1">Dashboard</a></li>
            </ul>
            <div id="poststuff" class="reportframe dashboard frames">
                <div id="_target_1" class="frame">
                    <div class="row">
                        <div class="col-sm-3">
                            <div class="postbox report-section sales" data-report="totalSales" data-type="html">
                                <h2 class="hndle">
                                    <span>Total Sales</span>
                                </h2>
                                <div class="inside">

                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="postbox report-section sales" data-report="totalPaid" data-type="html">
                                <h2 class="hndle">
                                    <span>Total Payment</span>
                                </h2>
                                <div class="inside">

                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="postbox report-section sales" data-report="refund" data-type="html">
                                <h2 class="hndle">
                                    <span>Total Refund</span>
                                </h2>
                                <div class="inside">

                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="postbox report-section sales" data-report="paymentDue" data-type="html">
                                <h2 class="hndle">
                                    <span>Payment Due</span>
                                </h2>
                                <div class="inside">

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="postbox">
                                <h2 class="hndle">
                                    <span>Invoice Status</span>
                                </h2>
                                <div class="panel report-section sales" data-report="invoiceStatus" data-type="pie">
                                    <div class="inside">

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="postbox">
                                <h2 class="hndle">
                                    <span>Number Invoice & Quotes</span>
                                </h2>
                                <div class="panel report-section sales" data-report="invoiceAndQuotes" data-type="column">
                                    <div class="inside">

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="postbox">
                                <h2 class="hndle">
                                    <span>Top 10 Products</span>
                                </h2>
                                <div class="panel report-section sales" data-report="itemsSold" data-type="html">
                                    <div class="clearfix">
                                        <div class="pull-right">
                                            <div class="inline-block" style="margin-right: 20px">Show Items by</div>
                                            <div data-role="buttonGroup" data-group-type="multi-state" class="bt-group inline-block">
                                                <button class="button" disabled="disabled" onclick="sortBy(this, 'value')">Value</button>
                                                <button class="button" onclick="sortBy(this, 'unit')">Unit Sold</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="inside">

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="postbox">
                                <h2 class="hndle">
                                    <span>Top 10 Customers</span>
                                </h2>
                                <div class="panel report-section sales" data-report="customers" data-type="html">
                                    <div class="clearfix">
                                        <div class="pull-right">
                                            <div class="inline-block" style="margin-right: 20px">Show Items by</div>
                                            <div data-role="buttonGroup" data-group-type="multi-state" class="bt-group inline-block">
                                                <button class="button" disabled="disabled" onclick="sortBy(this, 'value')">Unit Bought</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="inside">

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    jQuery(function () {
        jQuery("#tab-control").tabs({
            activate: function (event, ui) {
                switch (ui.newTab.data('id')) {
                    case 'sales':
                        setTimeout(function () {
                            getSalesReport();
                        }, 100);
                        break;
                    case 'inventory':
                        setTimeout(function () {
                            getInventoryReport();
                        }, 100);
                        break;
                }
            }
        });
    });
    var currPeriod = 1;
    var currView = 'sales';
    function getInventoryReport() {
        currView = 'inventory';
        $('.report-section.inventory').each(function () {
            $(this).dashboardWidget({
                fetchUrl: 'admin-ajax.php?action=' + global.ajaxAction + '&r=expertInvoice/inventoryDashboard',
                data: {report: jQuery(this).data('report'), period: currPeriod},
                chart: jQuery(this).data('type'),
                contentClass: 'inside'
            });
        });
    }
    function getSalesReport() {
        currView = 'sales';
        $('.report-section.sales').each(function () {
            $(this).dashboardWidget({
                fetchUrl: 'admin-ajax.php?action=' + global.ajaxAction + '&r=expertInvoice/salesDashboard',
                data: {report: $(this).data('report'), period: currPeriod},
                chart: jQuery(this).data('type'),
                contentClass: 'inside'
            });
        });
    }
    function sortBy(elm, criteria) {
        var parent = jQuery(elm).closest('.report-section');
        parent.dashboardWidget({
            fetchUrl: currView == 'sales' ? 'admin-ajax.php?action=' + global.ajaxAction + '&r=expertInvoice/salesDashboard' : 'admin-ajax.php?action=' + global.ajaxAction + '&r=expertInvoice/inventoryDashboard',
            data: {report: parent.data('report'), period: currPeriod, sort: criteria},
            chart: parent.data('type'),
            contentClass: 'inside'
        });
        $(elm).prop('disabled', true).siblings('button').prop('disabled', false);
    }
    google.charts.load('current', {packages: ['corechart'], callback: function () {
            jQuery(function () {
                jQuery('#period-selector button').on('click', function () {
                    currPeriod = $(this).data('period');
                    jQuery(this).addClass('button-primary').siblings().removeClass('button-primary');
                    (currView == 'sales') ? getSalesReport() : getInventoryReport();
                });
                (currView == 'sales') ? getSalesReport() : getInventoryReport();
            });
        }});

</script>