<?php

use envoqon\web\Html;
use expertinvoice\application\models\PaymentMethod;


?>
<script type="text/html" id="payment-template">
    <form role="form" class="form wide">
        <div> 
            <label><?php echo __('payment.invoiceId','expert-invoice'); ?><span class="required">*</span></label>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.invoice,disable:model.id(),autocomplete:{source:'<?php echo ExpertInvoicePlugin::$app->getController()->createAjaxUrl("invoice/suggest");?>',combobox:true,model:'invoiceId'}">
            </div>
        </div>
        <div>
            <?php echo Html::label(__('payment.datePaid', 'expert-invoice'), false, array('required' => true)); ?>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.datePaid,datepicker:{}">
            </div>
        </div>
        <div>
            <?php echo Html::label(__('payment.amount', 'expert-invoice'), false, array('required' => true)); ?>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.amount">
            </div>
        </div>

        <div>
            <?php echo Html::label(__('payment.paymentMethod', 'expert-invoice'), false, array('required' => true)); ?>
            <div class="input-control text">
                <?php
                echo Html::dropDownList('', '', PaymentMethod::model()->listAll(), array('style' => 'min-width:220px',
                    'data-bind' => 'value:model.paymentMethod',
                    'class' => 'form-control'));
                ?>
            </div>
        </div>

        <div>
            <?php echo Html::label(__('payment.transactionCode', 'expert-invoice'), false, array('required' => true)); ?>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.transactionCode">
            </div>
        </div>

    </form>
</script>