<?php

use envoqon\web\Html;
use expertinvoice\application\models\Tax;


?>
<script type="text/html" id="product-template">
    <div id="tab-control" class="tabcontrol2" data-open-target="#_target_1">
        <ul class="tabs">
            <li><a href="#_target_1">Product</a></li>
            <li><a href="#_target_2">Inventory</a></li>
        </ul>
        <div id="_target_1" class="frame">
            <form role="form" class="form wide">

                <div>
                    <?php echo Html::label(__('product.name', 'expert-invoice'), false, array('required' => true)); ?>
                    <div class="input-control text">
                        <input type="text" class="form-control" data-bind="value:model.name">
                    </div>
                </div>

                <div>
                    <?php echo Html::label(__('product.sku', 'expert-invoice'), false, array('required' => true)); ?>
                    <div class="input-control text">
                        <input type="text" class="form-control" data-bind="value:model.sku">
                        <button class="button" data-bind="click:model.genID" id="gen-id" title="<?php echo __('product.gen_id', 'expert-invoice'); ?>"><span class="dashicons dashicons-plus"></span></button>
                    </div>
                </div>

                <div>
                    <?php echo Html::label(__('product.salePrice', 'expert-invoice'), false, array('required' => true)); ?>
                    <div class="input-control text">
                        <input type="text" class="form-control" data-bind="value:model.salePrice">
                    </div>
                </div>

                <div>
                    <?php echo Html::label(__('product.taxId', 'expert-invoice'), false, array('required' => true)); ?>
                    <div class="input-control select">
                        <?php
                        echo Html::dropDownList('', '', Tax::model()->listAll(), array('style' => 'min-width:220px',
                            'data-bind' => 'value:model.taxId',
                            'class' => 'form-control', 'id' => 'tax_select'));
                        ?>
                    </div>
                </div>
                <div>
                    <?php echo Html::label(__('product.description', 'expert-invoice'), false); ?>
                    <div class="input-control textarea">
                        <textarea class="form-control" data-bind="value:model.description"></textarea>
                    </div>
                </div>
            </form>
        </div>
        <div id="_target_2" class="frame"> 
            <form role="form" class="form wide">
                <div>
                    <label class="no-padding-left input-control checkbox small-check">
                        <input type="checkbox" class="form-control" data-bind="checked:model.isManaged">
                        <span class="caption"><?php echo __('product.isManaged', 'expert-invoice'); ?></span>
                    </label>
                </div>

                <div>
                    <?php echo Html::label(__('product.quantity', 'expert-invoice'), false); ?>
                    <div class="input-control text">
                        <input type="text" class="form-control" data-bind="value:model.quantity,enable: model.isManaged() == 1">
                    </div>
                </div>

                <div>
                    <?php echo Html::label(__('product.warnQuantity', 'expert-invoice'), false); ?>
                    <div class="input-control text">
                        <input type="text" class="form-control" data-bind="value:model.warnQuantity,enable: model.isManaged() == 1">
                    </div>
                </div>
            </form>
        </div>
    </div>
</script>