<?php


?>
<div class="wrap" id="inner-content">
    <div class="toolbar">
        <h1 class="wp-heading-inline"><?php echo $this->pageTitle; ?></h1>
        <button type="button" class="page-title-action" data-bind="click:controller.add">Add Tax</button>
    </div>

    <?php
    $this->widget('envoqon\widgets\GridView', array(
        'id' => 'tax-grid',
        'dataProvider' => $model->search(),
        'columns' => array(
            array(
                'class' => 'envoqon\widgets\PrimaryColumn',
                'template' => '{update}{delete}',
                'header' => __('tax.name', 'expert-invoice'),
                'labelExpression' =>'$data["name"]',
                'disabledExpression' =>'$data["id"] == 1',
                'click' => 'function(e){
                                e.preventDefault();
                                var id = jQuery(this).closest("tr").data("key");
                                global.controller.edit(id);
                            }',
                'buttons' => array(
                    'update' => array(
                        'visible' => '$data["id"] != 1',
                        'class' => 'envoqon\widgets\UpdateActionLink',
                        'click' => 'function(e){
                            e.preventDefault();
                            var id = jQuery(this).closest("tr").data("key");
                            global.controller.edit(id);
                        }',
                    ),
                    'delete' => array(
                        'class' => 'envoqon\widgets\DeleteActionLink',
                        'afterDelete' => 'gridViewAfterDelete()',
                        'visible' => '$data["id"] != 1',
                        'url' => 'ExpertInvoicePlugin::$app->controller->createAjaxUrl("tax/delete",array("id"=>$data["id"]))'
                    )
                ),
            ),
            'rate',
            'description'
        ),
    ));
    ?>
</div>
<?php
$this->renderPartial('_form');
?>
<script type="text/javascript">
    jQuery(function () {
        global.controller = new TaxController();
        ko.applyBindings({
            controller: global.controller
        }, document.getElementById('inner-content'));
    });
</script>