<?php

if (!function_exists('expertinvoice_autoload')) {

    function expertinvoice_autoload($className) {
        $className = ltrim($className, '\\');
        $classFile = str_replace('\\', DIRECTORY_SEPARATOR, $className) . '.php';
        $file = __DIR__ . str_replace('expertinvoice', '', $classFile);
        if (file_exists($file)) {
            require $file;
        }
    }

    spl_autoload_register('expertinvoice_autoload');
}