<?php

if (!function_exists('envoqon_autoload')) {

    function envoqon_autoload($className) {
        $className = ltrim($className, '\\');
        $classFile = str_replace('\\', DIRECTORY_SEPARATOR, $className) . '.php';
        $file = __DIR__ . str_replace('envoqon', '', $classFile);
        if (file_exists($file)) {
            require $file;
        }
    }

    spl_autoload_register('envoqon_autoload');
}

