<?php

namespace envoqon\web;


class HttpException extends \Exception {

    
    public $statusCode;

    
    public function __construct($status, $message = null, $code = 0) {
        $this->statusCode = $status;
        if (isset($_SERVER['REQUEST_URI'])) {
            $message .= "\nREQUEST_URI=" . $_SERVER['REQUEST_URI'];
        }
        if (isset($_SERVER['HTTP_REFERER'])) {
            $message .= "\nHTTP_REFERER=" . $_SERVER['HTTP_REFERER'];
        }
        $message .= "\n---";
        parent::__construct($message, 0);
    }

}
