<?php



namespace envoqon\web;

use envoqon\App;


abstract class WPOption extends FormModel {

   private $app;
   
   public function __construct($app) {
       $this->app = $app;
       parent::__construct();
       
   }
    
    public function init() {
        $attributes = $this->attributeNames();
        $value = '';
        foreach ($attributes as $name) {
            $value = $this->app->getOption($name);
            if ($value != null) {
                $this->$name = $value;
            }
        }
    }

    public function save() {
        if ($this->validate()) {
            $attributes = $this->attributeNames();
            foreach ($attributes as $name) {
                $this->app->setOption($name, $this->$name);
            }
            return true;
        }
        return false;
    }
    
    

}
