<?php



namespace envoqon\widgets;

use envoqon\base\Component;
use envoqon\web\Html;


class ActionLink extends Component {

    
    public $label;

    
    public $url;

    
    public $options = array();

    
    public $click;

    
    public $visible;
    public $grid;

    public function init() {
        
    }

    
    public function render($id, $row, $data) {
        if (isset($this->visible) && !$this->evaluateExpression($this->visible, array('row' => $row, 'data' => $data))) {
            return '';
        }
        $label = isset($this->label) ? $this->label : $id;
        $url = isset($this->url) && !empty($this->url) ? $this->evaluateExpression($this->url, array('data' => $data, 'row' => $row)) : '#';
        $options = isset($this->options) ? $this->options : array();
        if (!isset($options['title'])) {
            $options['title'] = $label;
        }
        return '<span>' . Html::link($label, $url, $options) . '</span> | ';
    }

}
