<?php

/*
  Plugin Name: Expert Invoice
  Plugin URI: https://expertinvoice.envoqon.com/
  Description: A feature-packed and flexible invoicing system.
  Author: Envoqon
  Version: 1.0.2
  Author URI: https://www.envoqon.com/
  Text Domain: expert-invoice
 */

include dirname(__FILE__) . DIRECTORY_SEPARATOR . 'envoqon/autoloader.php';
include dirname(__FILE__) . DIRECTORY_SEPARATOR . 'autoloader.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'ExpertInvoicePlugin.php';

add_action('wp_ajax_expert_invoice_ajax_action', 'expert_invoice_ajax_action');
add_action('wp_ajax_nopriv_expert_invoice_ajax_action', 'expert_invoice_ajax_action');
register_activation_hook(__FILE__, 'expert_invoice_install');
register_uninstall_hook(__FILE__, 'expert_invoice_uninstall');

function expert_invoice_ajax_action() {
    \ExpertInvoicePlugin::$app->runAjax();
}

function expert_invoice_install() {
    \ExpertInvoicePlugin::$app->migrateUp();
}

function expert_invoice_uninstall() {
    \ExpertInvoicePlugin::$app->migrateDown();
    \ExpertInvoicePlugin::$app->deleteOptions();
}

