<?php

use envoqon\web\Html;
use expertinvoice\application\models\PaymentMethod;


?>
<script type="text/html" id="refund-template">
    <form role="form" class="form wide">
        <div>
            <?php echo Html::label(__('refund.refundDate', 'expert-invoice'), false, array('required' => true)); ?>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.refundDate,datepicker:{}">
            </div>
        </div>
        <div>
            <?php echo Html::label(__('refund.amount', 'expert-invoice'), false, array('required' => true)); ?>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.amount">
            </div>
        </div>

        <div>
            <?php echo Html::label(__('refund.reference', 'expert-invoice'), false, array('required' => true)); ?>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.reference">
            </div>
        </div>

        <div>
            <?php echo Html::label(__('refund.paymentMethod', 'expert-invoice'), false, array('required' => true)); ?>
            <div class="input-control text">
                <?php
                echo Html::dropDownList('', '', PaymentMethod::model()->listAll(), array('style' => 'min-width:220px',
                    'data-bind' => 'value:model.paymentMethod',
                    'class' => 'form-control'));
                ?>
            </div>
        </div>

    </form>
</script>