<?php

use expertinvoice\application\models\Invoice;
use expertinvoice\application\models\Option;

?>
<script src = "<?php echo ExpertInvoicePlugin::$app->getPluginUrl(); ?>/js/vendors/accounting.min.js" type = "text/javascript" ></script>
<script type="text/javascript">
    jQuery(function () {
        global.controller = new PosController();
<?php if (isset($model)): ?>
    <?php $customer = $model->getCustomer(); ?>
            global.controller.activeBusket.id(<?php echo json_encode($model->id); ?>);
            global.controller.activeBusket.invoice.setData(<?php echo json_encode($model->toArray()); ?>);
            global.controller.activeBusket.invoice.customerName(<?php echo json_encode($customer->name); ?>);
            global.controller.activeBusket.invoice.customerAddress(<?php echo json_encode($customer->shippingAddress); ?>);
            global.controller.activeBusket.invoice.isCustomerTaxExempt(<?php echo json_encode($customer->isTaxExempt); ?>);
    <?php foreach ($items as $item):?>
                var item = new LineItem();
                item.setData(<?php echo json_encode($item->toArray()); ?>);
                global.controller.activeBusket.items.push(item);
    <?php endforeach; ?>
<?php else: ?>
            <?php $maxNumber = Invoice::model()->getNewInvoiceNumber();?>
            global.controller.activeBusket.invoice.receiptNumber(<?php echo json_encode($maxNumber); ?>);
            global.controller.activeBusket.invoice.comment(<?php echo json_encode(Option::getAppOption()->footerComment); ?>);
<?php endif; ?>
        accounting.settings = {
            currency: {
                symbol: <?php echo json_encode(Option::getAppOption()->currency); ?>,
                format: "%s%v", // controls output: %s = symbol, %v = value/number 
                decimal: <?php echo json_encode(Option::getAppOption()->decimalSymbol); ?>,
                thousand: <?php echo json_encode(Option::getAppOption()->thousandsSymbol); ?>,
                precision: 2
            },
            number: {
                precision: 2, // default precision on numbers is 0
                thousand: <?php echo json_encode(Option::getAppOption()->thousandsSymbol); ?>,
                decimal: <?php echo json_encode(Option::getAppOption()->decimalSymbol); ?>
            }
        };
        ko.applyBindings({
            controller: global.controller
        }, document.getElementById('inner-content'));
    });
</script>
<script src="<?php echo ExpertInvoicePlugin::$app->getPluginUrl(); ?>/js/vendors/numpad.min.js"></script>
<script src = "<?php echo ExpertInvoicePlugin::$app->getPluginUrl(); ?>/js/vendors/moment.min.js" type = "text/javascript" ></script>