<?php
use expertinvoice\application\utils\ReportHelper;
?>
<script type="text/html" id="customers-report-template">
    <h4>Customers Sale Reports</h4>
    <form role="form">
        <div> 
            <label><?php echo __('invoice.customerId','expert-invoice'); ?></label>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.customer,autocomplete:{source:'<?php echo ExpertInvoicePlugin::$app->getController()->createAjaxUrl("customer/suggest");?>',combobox:true,model:'customerId'}">
            </div>
        </div>
        <div>
            <label>Start Date</label>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.start,datepicker:{yearRange: '-100:+0',dateFormat: 'yy-mm-dd'}">
            </div>
        </div>
        <div>
            <label>End Date</label>
            <div class="input-control text">
                <input type="text" class="form-control" data-bind="value:model.end,datepicker:{yearRange: '-100:+0',dateFormat: 'yy-mm-dd'}">
            </div>
        </div>
    </form>
    <div data-role="buttonGroup" data-group-type="one-state" class="buttonGroup">
        <button class="button" data-bind="click:function(){model.reportType(<?php echo ReportHelper::REPORT_DATA; ?>)}">Submit</button>
    </div>
</script>