<?php ?>
<?php
ExpertInvoicePlugin::$app->registerCssFile('bootstrap-grin-min', ExpertInvoicePlugin::$app->getPluginUrl() . '/css/vendors/bootstrap-grid.min.css');
?>
<div class="wrap" id="inner-content">
    <div class="toolbar">
        <h1 class="wp-heading-inline"><?php echo $this->pageTitle; ?></h1>
    </div>
    <div class="toolbar clearfix" style="margin-bottom: 20px">
        <button class="button" data-bind="click:controller.invoices">Invoices Report</button>
        <button class="button" data-bind="click:controller.quotes">Quotes Report</button>
        <button class="button" data-bind="click:controller.itemSales">Item Sales Report</button>
        <button class="button" data-bind="click:controller.inventory">Inventory Report</button>
        <button class="button" data-bind="click:controller.salesTax">Sales Tax Report</button>
        <button class="button" data-bind="click:controller.payments">Payments Report</button>
        <button class="button" data-bind="click:controller.refunds">Refunds Report</button>
        <button class="button" data-bind="click:controller.customers">Customers Report</button>
        <button class="button" data-bind="click:controller.lowLevelStock">Low Stock Level Report</button>
    </div>
    <div id="post-body" class="row report reportframe">
        <div class="col-md-3">
            <div class="postbox">
                <div class="inside">
                    <div class="report-criteria"></div>
                </div>
            </div>
        </div>
        <div class="col-md-8">
            <div class="postbox">
                <div id="report-page" style="display:none;">
                    <div class="bt-cover hndle" style="padding: 10px;">
                        <button data-bind="click:controller.printReport" class="button"><span class="mif-printer"></span>Print</button>
                        <button id="export-grid" class="button" onclick="tableToExcel('report-table', 'report', 'report.xls')"><span class="mif-file-text"></span>Export</button>
                        <a id="dlink"  style="display:none;"></a>
                    </div>
                    <div id="printable" class="inside">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
$this->renderPartial('/report/quotes');
$this->renderPartial('/report/invoice');
$this->renderPartial('/report/item_sales');
$this->renderPartial('/report/sales_tax');
$this->renderPartial('/report/payments');
$this->renderPartial('/report/refund');
$this->renderPartial('/report/customers');
?>
<script type="text/javascript">
    jQuery(function () {
        global.controller = new ReportController();
        ko.applyBindings({
            controller: global.controller
        }, document.getElementById('inner-content'));
    });
</script>