<?php



namespace envoqon\widgets;

use envoqon\App;
use envoqon\base\Model;
use envoqon\web\Html;
use Exception;


class InputWidget extends Widget{
    
	public $model;
	
	public $attribute;
	
	public $name;
	
	public $value;

	
	protected function resolveNameID($nameProperty='name',$attributeProperty='attribute')
	{
		if($this->$nameProperty!==null)
			$name=$this->$nameProperty;
		elseif(isset($this->htmlOptions[$nameProperty]))
			$name=$this->htmlOptions[$nameProperty];
		elseif($this->hasModel())
			$name=Html::activeName($this->model,$this->$attributeProperty);
		else
			throw new Exception(App::t('zii','{class} must specify "model" and "{attribute}" or "{name}" property values.',
				array('{class}'=>get_class($this),'{attribute}'=>$attributeProperty,'{name}'=>$nameProperty)));

		if(($id=$this->getId(false))===null)
		{
			if(isset($this->htmlOptions['id']))
				$id=$this->htmlOptions['id'];
			else
				$id=Html::getIdByName($name);
		}

		return array($name,$id);
	}

	
	protected function hasModel()
	{
		return $this->model instanceof Model && $this->attribute!==null;
	}
}
